summaryrefslogtreecommitdiff
path: root/tests/misc/test-diag
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2006-06-05 20:05:00 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2006-06-05 20:05:00 +0000
commit856e93df7667578d7a425e1ab6da71c113954f97 (patch)
tree8e768d8f0353c45269f1fcdbca1dc8c19e89f4ec /tests/misc/test-diag
parent8818e69748b0cbf4d0c63d4ca770aa4e7b2a1b8d (diff)
downloadcoreutils-856e93df7667578d7a425e1ab6da71c113954f97.tar.xz
Rename file to avoid bugs with VPATH builds and Solaris 'make'.
Diffstat (limited to 'tests/misc/test-diag')
-rwxr-xr-xtests/misc/test-diag33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/misc/test-diag b/tests/misc/test-diag
new file mode 100755
index 000000000..c154f38cf
--- /dev/null
+++ b/tests/misc/test-diag
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+: ${PERL=perl}
+: ${srcdir=.}
+
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
+ exit 77
+}
+
+exec $PERL -w -I$srcdir/.. -MCoreutils -- - <<\EOF
+require 5.003;
+use strict;
+
+(my $program_name = $0) =~ s|.*/||;
+
+# Turn off localisation of executable's ouput.
+@ENV{qw(LANGUAGE LANG LC_ALL)} = ('C') x 3;
+
+my $prog = '../../src/test';
+my @Tests =
+ (
+ # In coreutils-5.93, this diagnostic lacked the newline.
+ ['o', '-o arg', {ERR => "$prog: extra argument `-o'\n"}, {EXIT => 2}],
+ );
+
+my $save_temps = $ENV{DEBUG};
+my $verbose = $ENV{VERBOSE};
+
+my $fail = run_tests ($program_name, $prog, \@Tests, $save_temps, $verbose);
+exit $fail;
+EOF